Bug 17647 - Remove itemtype-related CancelReceipt.t warnings
Summary: Remove itemtype-related CancelReceipt.t warnings
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Kyle M Hall
URL:
Whiteboard:
Keywords:
Depends on: 14598
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-16 19:44 UTC by Tomás Cohen Arazi
Modified: 2017-06-14 22:17 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17647: Remove itemtype-related CancelReceipt.t warnings (3.17 KB, patch)
2016-11-16 19:46 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 17647: Remove itemtype-related CancelReceipt.t warnings (3.23 KB, patch)
2016-11-17 09:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 17647: Remove itemtype-related CancelReceipt.t warnings (3.30 KB, patch)
2016-11-18 07:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-11-16 19:44:14 UTC

    
Comment 1 Tomás Cohen Arazi 2016-11-16 19:46:31 UTC
Created attachment 57576 [details] [review]
Bug 17647: Remove itemtype-related CancelReceipt.t warnings

This patch makes t/db_dependent/Acquisition/CancelReceipt.t create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Acquisition/CancelReceipt.t
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Acquisition/CancelReceipt.t
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions
Comment 2 Jonathan Druart 2016-11-17 09:11:31 UTC
Created attachment 57591 [details] [review]
Bug 17647: Remove itemtype-related CancelReceipt.t warnings

This patch makes t/db_dependent/Acquisition/CancelReceipt.t create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Acquisition/CancelReceipt.t
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Acquisition/CancelReceipt.t
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 3 Katrin Fischer 2016-11-18 07:12:10 UTC
Created attachment 57613 [details] [review]
[PASSED QA] Bug 17647: Remove itemtype-related CancelReceipt.t warnings

This patch makes t/db_dependent/Acquisition/CancelReceipt.t create
good sample data for its tests. It does so by creating a random
itemtype.

To test:
- Run
  $ prove t/db_dependent/Acquisition/CancelReceipt.t
=> FAIL: lots of warnings about "item-level_itypes set but no itemtype
set for item"
- Apply the patch
- Run:
  $ prove t/db_dependent/Acquisition/CancelReceipt.t
=> SUCCESS: Tests are green, and no warnings.
- Sign off :-D

Sponsored-by: ByWater Solutions

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 4 Kyle M Hall 2016-11-18 14:01:20 UTC
Pushed to master for 16.11, thanks Tomas!
Comment 5 Mason James 2016-12-14 11:23:36 UTC
Pushed to 16.05.x, for 16.05.06 release